mahout-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MAHOUT-2023) Drivers broken, scopt classes not found
Date Thu, 07 Dec 2017 23:38:00 GMT

    [ https://issues.apache.org/jira/browse/MAHOUT-2023?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16282727#comment-16282727
] 

ASF GitHub Bot commented on MAHOUT-2023:
----------------------------------------

Github user pferrel commented on a diff in the pull request:

    https://github.com/apache/mahout/pull/353#discussion_r155671810
  
    --- Diff: spark/src/main/assembly/dependency-reduced.xml ---
    @@ -34,16 +34,15 @@
           </unpackOptions>
           <scope>runtime</scope>
           <outputDirectory>/</outputDirectory>
    -      <useTransitiveFiltering>true</useTransitiveFiltering>
    +      <useProjectArtifact>true</useProjectArtifact>
           <includes>
             <!-- guava only included to get Preconditions in mahout-math and mahout-hdfs
-->
             <include>com.google.guava:guava</include>
    -        <include>com.github.scopt_${scala.compat.version}</include>
    +        <include>com.github.scopt:scopt_2.10</include>
    +        <include>com.github.scopt:scopt_2.11</include>
             <include>com.tdunning:t-digest</include>
             <include>org.apache.commons:commons-math3</include>
             <include>it.unimi.dsi:fastutil</include>
    -        <include>org.apache.mahout:mahout-native-viennacl_${scala.compat.version}</include>
    --- End diff --
    
    No we can't ship this with spark-itemsimilarity driver not working. about 50% of the few
questions on the list, not to mention the IBM folks are using it.


> Drivers broken, scopt classes not found
> ---------------------------------------
>
>                 Key: MAHOUT-2023
>                 URL: https://issues.apache.org/jira/browse/MAHOUT-2023
>             Project: Mahout
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 0.13.1
>         Environment: any
>            Reporter: Pat Ferrel
>            Assignee: Trevor Grant
>            Priority: Blocker
>             Fix For: 0.13.1
>
>
> Type `mahout spark-itemsimilarity` after Mahout is installed properly and you get a fatal
exception due to missing scopt classes.
> Probably a build issue related to incorrect versions of scopt being looked for.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message